import java.lang.*;
import java.io.*;
import java.util.*;
import java.sql.*;

class graphs {
  menu_test parent;

  public graphs(menu_test menu, String aQuery, String aDay, String name) {
    try {
      String	data;
      int	i;
      String url = 
	"jdbc:mijdbc://sandman.npac.syr.edu:7531/GIS";
      String query, condition, timeCondition;

      this.parent = menu;

      Class.forName( "mijdbc.MIDriver" );      

      Connection conn = 
	DriverManager.getConnection(url,"miadmin","");
      
      Statement stat = conn.createStatement();

      FileOutputStream s = new FileOutputStream(name + ".sva");
      DataOutput aDO = new DataOutputStream(s);

      data = "1"+"\n"+"\r";
      StringBuffer line = new StringBuffer(data);
      aDO.writeBytes(line.toString());
      data = "1.0"+"\n"+"\r";
      line = new StringBuffer(data);
      aDO.writeBytes(line.toString());

      for (i = 0; i < 24; i++) {

        if (i < 10) {
	  condition = "0"+Integer.toString(i);
        }
	else {
	  condition = Integer.toString(i);
	}
        query = aQuery + "'" + aDay + " " + condition + ":00:00' and " +
                "'" + aDay + " " + condition + ":59:59';";
        System.out.println("Query: " + query);
	parent.setMessage("Counting " + condition + " hour data.");
        ResultSet rs = stat.executeQuery(query);

        if ( rs.next() ) {
	  String s1 = rs.getString(1);
          data = Integer.toString(i)+" "+s1+"\n"+"\r";
          line = new StringBuffer(data);
	  System.out.println("Count from a query at "+condition+" is "+s1+".");
          aDO.writeBytes(line.toString());
        }
      }
      s.close();
      conn.close();
      Runtime.getRuntime().exec("java SV " + name + ".sva");
      parent.setMessage("Please see the visualized graph.");
    }
    catch ( Exception e ) {
      System.err.println("Exception: "+e);
      e.printStackTrace();
    }
  }
}